%define name dixi-vom-rca
%define sname dixi-rca
%define rversion 0.3.5
%define release %mkrel 1

%define dixidir %{_datadir}/dixi
%define xosdstagesdir %{_sysconfdir}/xos/config/xosd_stages
%define tomcathome %{_datadir}/tomcat5

Summary: RCA (Resource Certification Authority)
Name: %{name}
Version: %{rversion}
Release: %{release}
Source0: %{sname}-%{rversion}.tar.bz2

License: GPL
Group: System/Cluster
Url: http://xtreemos.eu/
BuildRoot: %{_tmppath}/%{name}-%{rversion}-%{release}-buildroot
BuildRequires:	dixi-main rca
BuildRequires: java-devel jpackage-utils
BuildArch:	noarch
%description
RCA (Resource Certification Authority) provides the means for the resources
to register, be confirmed by an authorised administrator, and provide the 
digital certification for the node. This package contains the client-side
service which should run on each node capable of executing jobs.

%package node
Summary: 	RCA (Resource Certification Authority) node side
Group: 		System/Cluster
Requires:	java dixi-main rca

%package server
Summary: 	RCA (Resource Certification Authority) server side
Group: 		System/Cluster
Requires:	java dixi-main rca

%description node
RCA (Resource Certification Authority) provides the means for the resources
to register, be confirmed by an authorised administrator, and provide the 
digital certification for the node. This package contains the client-side
service which should run on each node capable of executing jobs.

This package contains the node part.

%description server
RCA (Resource Certification Authority) provides the means for the resources
to register, be confirmed by an authorised administrator, and provide the 
digital certification for the node. This package contains the client-side
service which should run on each node capable of executing jobs.

This package contains the server part.

%prep
%setup -q -n %sname-%version
%remove_java_binaries

%build
%ant -DJARDepsDir=%{_javadir} -lib $(build-classpath bcprov junit4)

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} %{buildroot}%{_sbindir}
%{__mkdir_p} %{buildroot}%{_javadir}
%{__mkdir_p} %{buildroot}%{dixidir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/xos/truststore/certs/incoming
%{__mkdir_p} %{buildroot}%{_sysconfdir}/xos/truststore/private


ant -DDEST=%{buildroot} install

%create_jar_links

#%{__mkdir_p} %{buildroot}%{dixidir}/libs

#%{__ln_s} %{_javadir}/rcalib.jar %{buildroot}%{dixidir}/libs/rcalib.jar


%clean
rm -rf $RPM_BUILD_ROOT


%files node
%defattr(-,root,root)
%doc ReleaseNotes.txt
%config(noreplace) %{_sysconfdir}/xos/config/RCAClientConfig.conf
%config(noreplace) %{_sysconfdir}/xos/config/xosd_stages/RCAClient.stage
%{_javadir}/security-services-rca-node-%{version}.jar
%{_javadir}/security-services-rca-node.jar
%{_datadir}/dixi/rca-node.deps

%files server
%defattr(-,root,root)
%doc ReleaseNotes.txt
%config(noreplace) %{_sysconfdir}/xos/config/RCAServerConfig.conf
%config(noreplace) %{_sysconfdir}/xos/config/xosd_stages/RCAServer.stage
%{_javadir}/security-services-rca-server-%{version}.jar
%{_javadir}/security-services-rca-server.jar
%{_datadir}/dixi/rca-server.deps

